Bug 170418 - [new port]: devel/qross Qross is a Qt-only fork of Kross, the KDE scripting framework
[new port]: devel/qross Qross is a Qt-only fork of Kross, the KDE scripting f...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alexey Dokuchaev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 16:40 UTC by g.veniamin
Modified: 2012-09-10 03:16 UTC (History)
0 users

See Also:


Attachments
file.shar (2.94 KB, text/plain)
2012-08-06 16:40 UTC, g.veniamin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description g.veniamin 2012-08-06 16:40:02 UTC
Qross is a Qt-only fork of Kross, the KDE scripting framework
Comment 1 Alexey Dokuchaev freebsd_committer 2012-08-07 02:44:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

I'll take it.
Comment 2 dfilter freebsd_committer 2012-08-31 02:46:11 UTC
Author: danfe
Date: Fri Aug 31 01:45:55 2012
New Revision: 303397
URL: http://svn.freebsd.org/changeset/ports/303397

Log:
  Port of Qross 0.2.2, a Qt-only fork of Kross, the KDE scripting framework.
  
  PR:	ports/170418

Added:
  head/devel/qross/
  head/devel/qross/Makefile   (contents, props changed)
  head/devel/qross/distinfo   (contents, props changed)
  head/devel/qross/pkg-descr   (contents, props changed)
  head/devel/qross/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Fri Aug 31 01:36:13 2012	(r303396)
+++ head/devel/Makefile	Fri Aug 31 01:45:55 2012	(r303397)
@@ -3598,6 +3598,7 @@
     SUBDIR += qmake
     SUBDIR += qmake4
     SUBDIR += qprog
+    SUBDIR += qross
     SUBDIR += qsa
     SUBDIR += qscintilla2
     SUBDIR += qscintilla2-designerplugin

Added: head/devel/qross/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/qross/Makefile	Fri Aug 31 01:45:55 2012	(r303397)
@@ -0,0 +1,29 @@
+# New ports collection makefile for:	Qross
+# Date created:				2012-01-08
+# Whom:				Gvozdikov Veniamin <g.veniamin@googlemail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	qross
+PORTVERSION=	0.2.2
+CATEGORIES=	devel
+MASTER_SITES=	http://cloud.github.com/downloads/0xd34df00d/Qross/
+
+MAINTAINER=	g.veniamin@googlemail.com
+COMMENT=	Qt-only fork of Kross, the KDE scripting framework
+
+USE_BZIP2=	yes
+USE_CMAKE=	yes
+USE_LDCONFIG=	yes
+USE_QT4=	designer gui network xml qmake_build uic_build moc_build \
+		rcc_build script
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}/src/qross
+
+post-install:
+.for lib in libqrossui libqrosscore qrossqts
+	@${LN} -s ${lib}.so.0.1 ${PREFIX}/lib/${lib}.so.1
+.endfor
+
+.include <bsd.port.mk>

Added: head/devel/qross/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/qross/distinfo	Fri Aug 31 01:45:55 2012	(r303397)
@@ -0,0 +1,2 @@
+SHA256 (qross-0.2.2.tar.bz2) = 02792ba25bdef11b444ca1d0b9f53fdd9aac9539307deb689b585967391a7c7b
+SIZE (qross-0.2.2.tar.bz2) = 3099984

Added: head/devel/qross/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/qross/pkg-descr	Fri Aug 31 01:45:55 2012	(r303397)
@@ -0,0 +1,3 @@
+Qross is a Qt-only fork of Kross, the KDE scripting framework.
+
+WWW: https://github.com/0xd34df00d/Qross

Added: head/devel/qross/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/qross/pkg-plist	Fri Aug 31 01:45:55 2012	(r303397)
@@ -0,0 +1,36 @@
+bin/qross
+include/qross/core/action.h
+include/qross/core/actioncollection.h
+include/qross/core/childreninterface.h
+include/qross/core/errorinterface.h
+include/qross/core/interpreter.h
+include/qross/core/manager.h
+include/qross/core/metafunction.h
+include/qross/core/metatype.h
+include/qross/core/object.h
+include/qross/core/qross_export.h
+include/qross/core/qrossconfig.h
+include/qross/core/script.h
+include/qross/core/wrapperinterface.h
+include/qross/ui/model.h
+lib/libqrosscore.so
+lib/libqrosscore.so.0.1
+lib/libqrosscore.so.1
+lib/libqrossui.so
+lib/libqrossui.so.0.1
+lib/libqrossui.so.1
+lib/qrossqts.so
+lib/qrossqts.so.0.1
+lib/qrossqts.so.1
+lib/qt4/plugins/script/libqrossqtsplugin.so
+lib/qt4/plugins/script/libqrossqtsplugin.so.0.1
+share/cmake/Modules/FindQrosscore.cmake
+share/leechcraft/cmake/FindQrosscore.cmake
+@dirrmtry share/leechcraft/cmake
+@dirrmtry share/leechcraft
+@dirrmtry lib/qt4/plugins/script
+@dirrmtry lib/qt4/plugins
+@dirrmtry lib/qt4
+@dirrm include/qross/ui
+@dirrm include/qross/core
+@dirrm include/qross
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alexey Dokuchaev freebsd_committer 2012-09-10 03:16:30 UTC
State Changed
From-To: open->closed

Port added, thanks!